/*2.5. Hacer un query que liste los nombres de los alumnos que empiezan algún curso el mes que viene. La lista no tiene que tener nombres repetidos.*/

SELECT fullname
FROM
(
  students st
    LEFT JOIN
      enrollments er
  ON er.student_iid = st.student_iid
)
AS er_st
  LEFT JOIN
    courses co
ON er_st.course_iid = co.course_iid
WHERE EXTRACT('month'  FROM start_date) -
      EXTRACT('month' FROM CURRENT_DATE)  = 1
ORDER BY fullname ;
